{% extends 'base.html.twig' %}

{% block body %}

	{% if  error %}
        <div class="alert alert-danger">
            {{ error.messageKey|trans(error.messageData, 'security') }}
        </div>
    {% endif %}

<div class="col col-md-6 m-auto">
	<div class="container p-3">
		<form action="{{ path('security_login') }}" method="post">
			<a href="{{ path('dm_registration') }}"><p class="btn btn-outline-warning text-light">New <strong>Adventurers</strong> please click here to register</p></a> 
			<div>
				<div class="form-group">
			    	<label class="form-control-label text-light" for="username">User Name</label>
			    	<input type="text" class="form-control" id="username" name="_username" required="required"  value="{{ last_username }}" aria-describedby="user name">
			    	<small id="userNameHelp" class="form-text text-light">This will be your login name!</small>
			  	</div>
			 	 
			  	<div class="form-group">
			    	<label class="form-control-label required text-light" for="password">Password</label>
			    	<input type="password" class="form-control" id="password" name="_password" required="required" placeholder="Password">
			  	{# </div>
			 		<div class="form-group form-check">
			    	<input type="checkbox" class="form-check-input" id="exampleCheck1">
			    	<label class="form-check-label" for="exampleCheck1">Im aMuppet and forgot my password...</label>
			  	</div> #}
				<div class="mt-3">
					<div class="form-group">
					<button type="submit" class="btn btn-outline-primary" id="Login" name="Login">Submit</button>
				</div>

				<input type="hidden" name="_csrf_token"  value="{{ csrf_token('authenticate') }}">
				<input type="hidden" name="_target_path" value="{{ app.request.get('redirect_to') }}">
			    </div>
			</div>		  	
		</form>
	</div> 
	</div>

{% endblock %}
    